# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(DateTime.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(JSON/Any.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(MooseX/Getopt.pm) perl(MooseX/Role/Parameterized.pm) perl(MooseX/Role/WithOverloading.pm) perl(MooseX/Types/Common/String.pm) perl(MooseX/Types/ISO8601.pm) perl(MooseX/Types/Moose.pm) perl(MooseX/Types/Structured.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Sys/Hostname.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Any.pm) perl(YAML/Tiny.pm) perl(aliased.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(namespace/autoclean.pm) perl(namespace/clean.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_version 0.012
%define module_name Log-Message-Structured
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.012
Release: alt1
Summary: Simple structured log messages
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DA/DAMS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Logging lines to a file is a fairly useful and traditional way of recording what's going on in your application.

However, if you have another use for the same sort of data (for example, sending to another process via a
message queue, or storing in the KiokuDB manpage), then you can be needlessly repeating your data marshalling.

Log::Message::Structured is a VERY VERY SIMPLE set of roles to help you make
small structured classes which represent '`something which happened'',
that you can then either pass around in your application, log in a traditional
manor as a log line, or serialize to JSON or YAML for transmission over the
network.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/L*

%changelog
* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.012-alt1
- initial import by package builder

